Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.parse.xml
Class DtdContext

    java.lang.Object
      org.kohsuke.rngom.parse.xml.DtdContext

All Implemented Interfaces:
  org.relaxng.datatype.ValidationContext, org.xml.sax.DTDHandler

    public abstract class DtdContext

extends java.lang.Object
implements org.xml.sax.DTDHandler, org.relaxng.datatype.ValidationContext

Constructor Summary
`DtdContext()`
`DtdContext(DtdContext dc)`

Method Summary
`void` | `clearDtdContext()`
`boolean` | `isNotation(java.lang.String notationName)`
`boolean` | `isUnparsedEntity(java.lang.String entityName)`
`void` | `notationDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)`
`void` | `unparsedEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId, java.lang.String notationName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.relaxng.datatype.ValidationContext
`getBaseUri, resolveNamespacePrefix`

Constructor Detail

### DtdContext

    public DtdContext()

### DtdContext

    public DtdContext(DtdContext dc)

Method Detail

### notationDecl

    public void notationDecl(java.lang.String name,
                             java.lang.String publicId,
                             java.lang.String systemId)
                      throws org.xml.sax.SAXException

  Specified by:
    `notationDecl` in interface `org.xml.sax.DTDHandler`
  Throws:
    `org.xml.sax.SAXException`

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId,
                                   java.lang.String notationName)
                            throws org.xml.sax.SAXException

  Specified by:
    `unparsedEntityDecl` in interface `org.xml.sax.DTDHandler`
  Throws:
    `org.xml.sax.SAXException`

### isNotation

    public boolean isNotation(java.lang.String notationName)

  Specified by:
    `isNotation` in interface `org.relaxng.datatype.ValidationContext`

### isUnparsedEntity

    public boolean isUnparsedEntity(java.lang.String entityName)

  Specified by:
    `isUnparsedEntity` in interface `org.relaxng.datatype.ValidationContext`

### clearDtdContext

    public void clearDtdContext()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD